Package org.apache.solr.common.util

# Class JavaBinCodec.BinEntryWriter

java.lang.Object
org.apache.solr.common.util.JavaBinCodec.BinEntryWriter

All Implemented Interfaces:
  `MapWriter.EntryWriter`

Enclosing class:
  `JavaBinCodec`

public class JavaBinCodec.BinEntryWriter extends Object implements MapWriter.EntryWriter

## Constructor Summary

Constructors
Constructor
Description
`BinEntryWriter()`

## Method Summary

Modifier and Type
Method
Description
`BiConsumer<CharSequence,Object>`
`getBiConsumer()`
`MapWriter.EntryWriter`
`put(CharSequence k, boolean v)`
`MapWriter.EntryWriter`
`put(CharSequence k, double v)`
`MapWriter.EntryWriter`
`put(CharSequence k, float v)`
`MapWriter.EntryWriter`
`put(CharSequence k, int v)`
`MapWriter.EntryWriter`
`put(CharSequence k, long v)`
`MapWriter.EntryWriter`
`put(CharSequence k, CharSequence v)`
This is an optimization to avoid the instanceof checks.
`MapWriter.EntryWriter`
`put(CharSequence k, Object v)`
Writes a key value into the map

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter.EntryWriter

`put, putIfNotNull, putIfNotNull, putNoEx`

## Constructor Details

### BinEntryWriter

public BinEntryWriter()

## Method Details

### put

public MapWriter.EntryWriter put(CharSequence k, Object v) throws IOException
Description copied from interface: `MapWriter.EntryWriter`
Writes a key value into the map

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Parameters:
  `k` - The key
  `v` - The value can be any supported object
Throws:
  `IOException`

### put

public MapWriter.EntryWriter put(CharSequence k, int v) throws IOException

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`

### put

public MapWriter.EntryWriter put(CharSequence k, long v) throws IOException

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`

### put

public MapWriter.EntryWriter put(CharSequence k, float v) throws IOException

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`

### put

public MapWriter.EntryWriter put(CharSequence k, double v) throws IOException

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`

### put

public MapWriter.EntryWriter put(CharSequence k, boolean v) throws IOException

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`

### put

public MapWriter.EntryWriter put(CharSequence k, CharSequence v) throws IOException
Description copied from interface: `MapWriter.EntryWriter`
This is an optimization to avoid the instanceof checks.

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`

### getBiConsumer

public BiConsumer<CharSequence,Object> getBiConsumer()

Specified by:
  `getBiConsumer` in interface `MapWriter.EntryWriter`